<?php

/**
 * Base TCA generation for the model MediaEssenz\\Domaincheck\\Domain\\Model\\Tld
 */

$base = \HDNET\Autoloader\Utility\ModelUtility::getTcaInformation('MediaEssenz\\Domaincheck\\Domain\\Model\\Tld');
$custom = [
    'ctrl' => [
        'rootLevel' => 1,
    ]
];
$custom = [
    'ctrl' => [
        'rootLevel' => 1,
    ],
    'columns' => [
        'whois' => [
            'exclude' => 1,
            'label' => 'LLL:EXT:domaincheck/Resources/Private/Language/locallang.xlf:tx_domaincheck_domain_model_tld.whois',
            'config' => [
                'type' => 'select',
                'foreign_table' => 'tx_domaincheck_domain_model_whois',
                'foreign_table_where' => 'ORDER BY tx_domaincheck_domain_model_whois.uid',
                'size' => 1,
                'minitems' => 0,
                'maxitems' => 1,
            ]
        ],
    ],
];

return \HDNET\Autoloader\Utility\ArrayUtility::mergeRecursiveDistinct($base, $custom);