<?php
if (!defined('TYPO3_MODE')) die ('Access denied.');

/***************
 * Add autoloader
 */
\HDNET\Autoloader\Loader::extTables('MediaEssenz', $_EXTKEY, [
    'TcaFiles',
    'SmartObjects',
    'Plugins',
    'FlexForms',
]);

/***************
 * Add main template
 */
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile($_EXTKEY, 'Configuration/TypoScript', 'Main');

/***************
 * ContentElementWizard for Check
 */
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig(
    '<INCLUDE_TYPOSCRIPT: source="FILE:EXT:' . $_EXTKEY . '/Configuration/TypoScript/ContentElementWizard.typoscript">'
);

/***************
 * Register icons
 */
$iconRegistry = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(\TYPO3\CMS\Core\Imaging\IconRegistry::class);
$iconRegistry->registerIcon(
    'extension-domaincheck',
    \TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class,
    ['source' => 'EXT:' . $_EXTKEY . '/ext_icon.svg']
);