<?php

/***************************************************************
 * Extension Manager/Repository config file for ext "domaincheck".
 ***************************************************************/

$EM_CONF[$_EXTKEY] = array(
    'title' => 'Domain check',
    'description' => 'Frontend plugin to check domains.',
    'category' => 'plugin',
    'version' => '1.0.0',
    'state' => 'stable',
    'author' => 'Alexander Grein',
    'author_email' => 'alexander.grein@gmail.com',
    'author_company' => 'MEDIA::ESSENZ',
    'constraints' =>
        array(
            'depends' =>
                array(
                    'typo3' => '6.2.0-7.6.99',
                    'autoloader' => '2.0.0-',
                    'typoscript_rendering' => '1.0.4-',
                    'vhs' => '2.4.0-',
                ),
            'conflicts' =>
                array(),
            'suggests' =>
                array(),
        ),
    'autoload' => array(
        'psr-4' => array(
            'MediaEssenz\\Domaincheck\\' => 'Classes',
        ),
    ),
);
